Var
  _4MR : byte ;
  qwe : byte;
  q : byte;
procedure writechar(c:char);
begin
  inline(139/70/6/180/14/205/16);
end;
procedure writebyte(b:byte);
begin
  if (b div 100) > (0) then writechar(48+(b div 100));
  writechar(48+(((b mod 100) div 10)));
  writechar(48+(b mod 10));
  writechar(32);
end;

procedure qw;
function ff(c:byte);
begin
  if c<2 then begin
    ff:=qwe;
  end
  else begin
    ff:=ff(c-1)+ff(c-2);
  end;
end;

Begin
  qwe:=1;
  q:=0;
  while q<10 do begin
    writebyte(q); writechar('-');writebyte(ff(q));writechar(13);writechar(10);
    q:=q+1;
  end;
end;

begin
qw;
End.
